package cn.com.infosec.crypto.params;

import cn.com.infosec.crypto.CipherParameters;

public class RC2Parameters implements CipherParameters {
   private byte[] key;
   private int bits;

   public RC2Parameters(byte[] key) {
      int var2;
      if (key.length > 128) {
         var2 = 1024;
      } else {
         var2 = key.length * 8;
      }

      this(key, var2);
   }

   public RC2Parameters(byte[] key, int bits) {
      byte[] var10000 = key;
      RC2Parameters var10002 = this;
      super();
      byte[] var3;
      this.key = var3 = new byte[key.length];
      var10002.bits = bits;
      int key1 = key.length;
      System.arraycopy(var10000, 0, var3, 0, key1);
   }

   public byte[] getKey() {
      return this.key;
   }

   public int getEffectiveKeyBits() {
      return this.bits;
   }
}
